Loading...
Searching...
No Matches
pdftron::PDF::Struct::ContentItem Class Reference

`#include <ContentItem.h>`

## Public Types
enum | Type { e_MCR , e_MCID , e_OBJR , e_Unknown }

## Public Member Functions
| ContentItem (const ContentItem &)
ContentItem & | operator= (const ContentItem &)
Type | GetType () const
class SElement | GetParent ()
Page | GetPage ()
SDF::Obj | GetSDFObj () const
int | GetMCID () const
SDF::Obj | GetContainingStm () const
SDF::Obj | GetStmOwner () const
SDF::Obj | GetRefObj () const

## Detailed Description

Content items are graphical objects that exist in the document independently of the structure tree but are associated with structure elements.

Content items are leaf nodes of the structure tree.

Definition at line 20 of file ContentItem.h.

## Member Enumeration Documentation

## ◆ Type

enum pdftron::PDF::Struct::ContentItem::Type

Enumerator
e_MCR | marked-content reference.
e_MCID | marked-content identifier.
e_OBJR | object reference dictionary.
e_Unknown | unknown content type.

Definition at line 29 of file ContentItem.h.

## Constructor & Destructor Documentation

## ◆ ContentItem()

pdftron::PDF::Struct::ContentItem::ContentItem | ( | const ContentItem & |  | ) |

Copy constructor and assignment operator.

## Member Function Documentation

## ◆ GetContainingStm()

SDF::Obj pdftron::PDF::Struct::ContentItem::GetContainingStm | ( |  | ) | const

Returns
  The stream object that contains the marked-content sequence. The function will return a non-NULL object only if the marked-content sequence resides in a content stream other than the content stream for the page (e.g. in a form XObject).

Note
  this method only applies to content items with type e_MCR.

## ◆ GetMCID()

int pdftron::PDF::Struct::ContentItem::GetMCID | ( |  | ) | const

Returns
  mcid (marked-content identifier).

Note
  this method only applies to content items with types e_MCR or e_MCID.

## ◆ GetPage()

Page pdftron::PDF::Struct::ContentItem::GetPage | ( |  | ) |

The page on which the marked content is drawn, whether directly as part of page content or indirectly by being in a Form XObject or annotation drawn on that page.

## ◆ GetParent()

class SElement pdftron::PDF::Struct::ContentItem::GetParent | ( |  | ) |

Find the parent structure element.

## ◆ GetRefObj()

SDF::Obj pdftron::PDF::Struct::ContentItem::GetRefObj | ( |  | ) | const

Returns
  The referenced object.

Note
  this method only applies to content items with type e_OBJR.

## ◆ GetSDFObj()

SDF::Obj pdftron::PDF::Struct::ContentItem::GetSDFObj | ( |  | ) | const

Returns
  Pointer to the underlying SDF/Cos object.

## ◆ GetStmOwner()

SDF::Obj pdftron::PDF::Struct::ContentItem::GetStmOwner | ( |  | ) | const

Returns
  NULL or the PDF object owning the stream returned by GetContainingStm() (e.g. the annotation to which an appearance stream belongs).

Note
  this method only applies to content items with type e_MCR.

## ◆ GetType()

Type pdftron::PDF::Struct::ContentItem::GetType | ( |  | ) | const

Returns
  the content item type.

## ◆ operator=()

ContentItem & pdftron::PDF::Struct::ContentItem::operator= | ( | const ContentItem & |  | ) |

The documentation for this class was generated from the following file:

- PDF/Struct/ContentItem.h